$AdfDhtmlListItemPeer$$.$_SUB_ID_MAP$ = {disclosureID:"di", startFacetID:"stFct", endFacetID:"ndFct"};
$AdfDhtmlListItemPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlListItemPeer$$$$$GetSubIdDomElement$$($subElementId$$34$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$34$$);
  var $component$$2438$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$34$$, $AdfDhtmlListItemPeer$$.$_SUB_ID_MAP$, $component$$2438$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlListItemPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlListItemPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlListItemPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlListItemPeer$$$$$GetBestMatchSubId$$($domElement$$654$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$654$$, this, $AdfDhtmlListItemPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlListItemPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlListItemPeer$$.prototype.$GetBestMatchSubId$});
